[fixed] MP 1.9 problem

Access your ARGUS TV system from your sofa using MediaPortal (http://www.team-mediaportal.com/)
styrsven
Posts: 38
Joined: Tue Mar 19, 2013 10:58 pm

[fixed] MP 1.9 problem

Post by styrsven » Tue Sep 30, 2014 7:21 pm

When I installed the new MP 1.9 and Argus 2.3RC today, I got an error message when trying to start MP.
It said something about different versions, MP having 1.9.0 and the TV-plugin 1.9.0.0, and refused to start.

After going back to MP 1.9Pre and Argus 2.3RC everything worked again.

User avatar
tompa
Posts: 594
Joined: Tue May 05, 2009 11:18 pm
Location: Sweden

Re: MP 1.9 problem

Post by tompa » Tue Sep 30, 2014 7:29 pm

Did you reinstall Argus after updating to mp1.9_final?

/tompa

styrsven
Posts: 38
Joined: Tue Mar 19, 2013 10:58 pm

Re: MP 1.9 problem

Post by styrsven » Tue Sep 30, 2014 8:16 pm

Yes, the same Argus 2.3RC that i have used and is using successfully with MP 1.9Pre

Luca Brasi
Posts: 88
Joined: Sat Jun 26, 2010 10:07 pm

Re: MP 1.9 problem

Post by Luca Brasi » Wed Oct 01, 2014 9:03 am

Same here...
HTPC: Win8.1Pro, Argus TV latest, MediaPortal 1.7, 1xFireDTV DVB-C, 2x Mystique Cabix DVB-C, 2xDigital Devices Cine Dvb-C

User avatar
dot-i
Site Admin
Posts: 5848
Joined: Mon Oct 01, 2012 3:40 pm

Re: MP 1.9 problem

Post by dot-i » Thu Oct 02, 2014 9:34 am

I will investigate this and fix where needed, probably this weekend.

Meantime the source of the MediaPortal plugins is freely available of course, so anyone is free to have a look before I do: https://github.com/ARGUS-TV/ARGUS-TV/tree/wip/2.3 ;)
I have the heart of a child. I keep it in a jar on my shelf. -- Robert Bloch
Image

User avatar
hexagon
Posts: 173
Joined: Sun Jun 01, 2008 10:54 am

Re: MP 1.9 problem

Post by hexagon » Thu Oct 02, 2014 11:46 am

The version is very close but not exactly right. Here's the error message I receive:
TvPlugin and MediaPortal doesn't have the same version.
Please update the older component to the same version as the newer one.
MpConfig Version: 1.9.0
TvPlugin Version: 1.9.0.0

User avatar
dot-i
Site Admin
Posts: 5848
Joined: Mon Oct 01, 2012 3:40 pm

Re: MP 1.9 problem

Post by dot-i » Thu Oct 02, 2014 1:51 pm

It appears the problem doesn't lie in the actual ARGUS TV plugin, but in the dummy TvPlugin.dll created during setup (using verpatch.exe).

So this should be simple to fix on one hand, but could be tricky if there's an actual problem with verpatch.exe itself (will need to download its source and fix it). Too early to tell.

Workaround right now is to manually drop in this replacement dummy TvPlugin.dll:

Download removed, see below
I have the heart of a child. I keep it in a jar on my shelf. -- Robert Bloch
Image

wishywashy
Posts: 11
Joined: Sat Aug 27, 2011 4:58 pm

Re: MP 1.9 problem

Post by wishywashy » Fri Oct 03, 2014 12:35 am

Not complaining, but it didn't work for me. I get the same version error.

User avatar
dot-i
Site Admin
Posts: 5848
Joined: Mon Oct 01, 2012 3:40 pm

Re: MP 1.9 problem

Post by dot-i » Fri Oct 03, 2014 9:55 am

Hmmmm, seems the error is not quite the same, it now complains about 1.9.0 not being equal to 1.9.0 :shock:

This is no fun, why did they have to muck with their internal versioning scheme... :( Upon closer investigation it seems the dummy TvPlugin has a "1.9.0 " version (so with two extra spaces at the end), sigh...

I'll see what I can do to fix the setup file, meantime you can use this manually fixed DLL:
TvPlugin.zip
(1.56 KiB) Downloaded 287 times
I have the heart of a child. I keep it in a jar on my shelf. -- Robert Bloch
Image

User avatar
dot-i
Site Admin
Posts: 5848
Joined: Mon Oct 01, 2012 3:40 pm

Re: MP 1.9 problem

Post by dot-i » Sat Oct 04, 2014 12:50 pm

I have refreshed the 2.3 RC download, support for MediaPortal 1.9 was added to the installer.
I have the heart of a child. I keep it in a jar on my shelf. -- Robert Bloch
Image

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest